Subject: Re: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Uwe Brauer <[email-masked]>
Date: Mon, 02 Jan 2017 19:44:04 +0000

>>> "Gennady" == Gennady Uraltsev <[email-masked]> writes:

   > Hello everyone,
   > I am sorry for all the problems that have arisen. I wanted to contribute
   > to the discussion somewhat.

This is for sure not your fault.

   > 1) Personally I often have double subscripts i.e. expressions of the form
   > $
   > \int_{a_i}^{a_{i+1}}
   > $

   > (I am a PhD in math)
ok.

   > An idea would be to never make a _ disappear if it is already
   > super/sub-script fontified. Also disable fontification of
   > sub/superscripts on any line such that there are two _ not separated by
   > a { and the same for ^

   > I am trying to implement something like it but I am no expert in elisp
   > so it'll take me some time.

Now that you mentioned it, now I remember that xsymbol, a xemacs
package, seems to have chosen such an approach, I attach a screenshot.
So your idea makes a lot of sense. I have no idea how difficult it would
be to implement. Tassilo?